/* ================================== Start Requirements Div=============================== */

.requirement-div {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

.requirement-div h2 {
  text-align: center;
}

.req {
  margin-top: 3%;
  width: 80%;
  box-shadow:
    -1.75px -1.75px 10px 0 palevioletred,
    2px 2px 10px 0 rgb(55 55 235);
  border-radius: 10px;
}

.req-lists {
  position: relative;
  padding: 0% 15% 3% 20%;
  text-align: justify;
}

.req-lists li {
  padding: 0.2rem;
}

.link-icon.fa {
  font-size: 15px;
}

/* ================================== End Requirements Div=============================== */

ul.download {
  font-weight: 550;
  margin: 5rem 1rem;
  margin-bottom: 20vh;
}

ul.download li a {
  color: dodgerblue;
}

.distintro {
  width: 80%;
  height: auto;
  margin: auto;
}

ul.distros {
  list-style-type: none;
  margin-bottom: 8rem;
}

.dist {
  display: flex;
  flex-direction: row;

  /* important for @media */
  margin: 4rem 0.5rem;
}

.distro {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

h2 {
  margin-top: 1.75rem;
  margin-bottom: 1.75rem;
}

.laptop {
  width: 50vw;
  height: auto;
  margin: auto;
  margin-bottom: 0 !important;
  border: 9px solid #ddd;
  border-radius: 12px 12px 0 0;
}

.bottom {
  width: 60vw;
  height: 12px;
  border-radius: 0 0 25px 25px;
  border-top: 5px solid white;
  border-bottom: 1px solid black;
  background: #bbb;
  z-index: 1;
  margin-top: 0 !important;
}

.distdesc {
  text-align: center;
}

/* ------------------------------- Download Dropdown ----------------------- */

.downloadlinks {
  display: flex;
  justify-content: space-evenly;
  width: 100%;
  margin-bottom: 8rem;
  flex-direction: row;
  text-align: center;
}

.drpdown,
.popup-div {
  position: relative;
  margin-left: 2%;
}

.drpdown {
  margin: 0 1%;
}

.drpbtn,
.popup-div > button {
  outline: none;
  height: 100%;
  color: white;
  padding: 0.8rem 1rem;
  font-size: 16px;
  cursor: pointer;
  border: none;
  border-radius: 0.3rem;
  background-color: #f5000098;
}

.drpdown-content {
  display: none;
  position: absolute;
  width: 100%;
}

.drpdown-content a {
  display: block;
}

.drpdown:hover > div {
  z-index: 4;
  display: block;
  background: rgb(77 75 75 / 100%);
  color: white;
  animation: rolldown 0.5s 1;
}

.dwnlinks:hover {
  color: rgb(77 159 236);
}

.sidenav ~ * {
  padding-left: 2.5rem;
}

/* ----------------------------------------------Popup/modal Start--------------------------------------------------------- */

.popup {
  text-align: center;
  position: fixed;
  display: none;
  justify-content: center;
  align-items: center;
  background-color: black;
  color: white;
  width: 35rem;
  height: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 50;
  flex-direction: column;
  border-radius: 1rem;
  box-shadow: 0 0 100px 30px rgb(82 79 79);
}

.popup-header {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  padding: 0% 2%;
}

.popup-header button {
  font-size: 2rem;
  font-weight: bold;
  border: none;
  background: none;
  outline: none;
  cursor: pointer;
  color: white;
}

.popup-close-btn {
  display: inline;
  background-color: rgb(7 7 6);
  color: white;
  padding: 1% 2%;
  border: none;
  cursor: pointer;
}

.popup-download-btns {
  width: 100%;
  padding: 2%;
  flex: 1;
}

.popup-heading {
  width: 100%;
  flex: 0.5;
}

.popup-heading h3 {
  display: inline-block;
  border-bottom: 4px solid purple;
  border-radius: 5px;
  box-shadow: 0 0 5px gray;
  padding: 1% 2%;
}

.popup-download-btn {
  background-color: rgb(231 42 67);
  color: white;
  padding: 1% 2%;
  width: 30%;
  height: 2rem;
  cursor: pointer;
  border: none;
  font-weight: bold;
  border-radius: 0.2rem;
  margin: 1%;
}

.popup-content {
  padding: 5%;
  flex: 3;
  text-align: left;
  overflow-y: scroll;
  overflow-x: hidden;
  scrollbar-width: thin;
}

.popup-content h4 {
  margin-top: 3%;

  /* border-bottom: 2px solid rgba(0, 70, 128, 0.432); */
}

/* .popup-content::-webkit-scrollbar { */

/* display: none; */

/* } */

/* Hide scrollbar for IE, Edge and Firefox */

/* .popup-content { */

/* -ms-overflow-style: none; */

/* IE and Edge */

/* scrollbar-width   : none; */

/* Firefox */

/* } */

.popup-content ul {
  list-style-position: inside;
}

.show-popup {
  display: flex;
}

.overlay {
  position: fixed;
  inset: 0;
  z-index: 15;
  backdrop-filter: blur(6px);

  /* width        : 100vw;
    height          : 100vh; */
  display: none;
  pointer-events: none;
  background-color: rgb(128 128 128 / 20%);
}

.overlay.active {
  display: block;
  pointer-events: all;
}

/* -------------------------Popup/modal End------------------------------------------ */

/* ----------------------------- Responsive -------------------------------------- */

@media (width <= 999px) {
  .dist {
    flex-direction: column;
  }

  .laptop {
    width: 80vw;
  }

  .bottom {
    width: 92.5vw;
  }
}
